### Hierarchy

- TreeableDetailComponent

## Index

### Constructors

- constructor

### Properties

- dotCMSURL
- settingsStorageService
- subscription
- treeable
- updateService

## Constructors

### constructor

- new TreeableDetailComponent(updateService: SiteBrowserState, settingsStorageService: SettingsStorageService): TreeableDetailComponent

- - Defined in components/treeable-detail/treeable-detail.component.ts:18

  #### Parameters

  - ##### updateService: SiteBrowserState

  - ##### settingsStorageService: SettingsStorageService

  #### Returns TreeableDetailComponent

## Properties

### dotCMSURL

dotCMSURL: string = ""

- Defined in components/treeable-detail/treeable-detail.component.ts:16

### Private settingsStorageService

settingsStorageService: SettingsStorageService

- Defined in components/treeable-detail/treeable-detail.component.ts:22

### subscription

subscription: Subscription

- Defined in components/treeable-detail/treeable-detail.component.ts:18

### treeable

treeable: Treeable = new Treeable()

- Defined in components/treeable-detail/treeable-detail.component.ts:17

### Private updateService

updateService: SiteBrowserState

- Defined in components/treeable-detail/treeable-detail.component.ts:21

Generated using TypeDoc